//
// Created by QP on 2025/4/12.
//

#ifndef PCL_WRAPPER_IO_HPP
#define PCL_WRAPPER_IO_HPP

// io.hpp
#pragma once
#include <string>
#include <pcl/io/pcd_io.h>
#include "point_types.hpp"

namespace pcl_wrapper {

    template<typename PointT>
    typename pcl::PointCloud<PointT>::Ptr loadPCD(const std::string& filename);

    template<typename PointT>
    void savePCD(const std::string& filename, const typename pcl::PointCloud<PointT>::Ptr& cloud);

}


#endif //PCL_WRAPPER_IO_HPP
